xmalloc(3)

NAME
xmalloc(),xrealloc(),xstrdup() - error-safe memory allocation functions

SYNOPSIS
#include "fwfunc.h"

void* xmalloc(size_t size)

void* xrealloc(void *ptr,size_t size)

char* xstrdup(const char *str)

DESCRIPTION
These functions perform the same action as malloc(), realloc() and strdup(), but cause program to terminate with fwtksyserr if memory allocation fails.

SEE ALSO
malloc(3),realloc(3),strdup(3)

HISTORY
xmalloc and xrealloc functions are taken from libem by Eberhard Mattes.

xstrdup first appeared in OpenFWTK project.